Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ssh
Class SSHSession.LocalTunnel

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.ssh.SSHSession.LocalTunnel

Enclosing class:
  SSHSession

    public class SSHSession.LocalTunnel

extends java.lang.Object

Constructor Summary
`SSHSession.LocalTunnel()`

Method Summary
`int` | `getLPort()`
`java.lang.String` | `getRHost()`
`int` | `getRPort()`
`void` | `setLPort(int lport)`
`void` | `setRHost(java.lang.String rhost)`
`void` | `setRPort(int rport)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHSession.LocalTunnel

    public SSHSession.LocalTunnel()

Method Detail

### setLPort

    public void setLPort(int lport)

### setRHost

    public void setRHost(java.lang.String rhost)

### setRPort

    public void setRPort(int rport)

### getLPort

    public int getLPort()

### getRHost

    public java.lang.String getRHost()

### getRPort

    public int getRPort()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD